#include <FilePaths.h>

createFileSingleton( FilePaths );

QString FilePaths::getGameDir()
{
	if( m_qstrGameDir.isEmpty() )
		return QDir::currentPath();
	return m_qstrGameDir;
}

QString FilePaths::getConfigDataDir()
{
	QString qstrRet = getConfigDir();
	qstrRet.append( "/data" );
	return qstrRet;
}

QString FilePaths::getGameDataDir()
{
	QString qstrRet = getGameDir();
	qstrRet.append( "/data" );
	return qstrRet;
}

QString FilePaths::getConfigLauncherIni()
{
	QString qstrRet = getConfigDir();
	qstrRet.append( "/" );
	qstrRet.append( INI_LAUNCHER );
	return qstrRet;
}

QString FilePaths::getGameLauncherIni()
{
	QString qstrRet = getGameDir();
	qstrRet.append( "/" );
	qstrRet.append( INI_LAUNCHER );
	return qstrRet;
}

QString FilePaths::getConfigCmdLine()
{
	QString qstrRet = getConfigDataDir();
	qstrRet.append( "/" );
	qstrRet.append( CFG_CMDLINE );
	return qstrRet;
}

QString FilePaths::getGameCmdLine()
{
	QString qstrRet = getGameDataDir();
	qstrRet.append( "/" );
	qstrRet.append( CFG_CMDLINE );
	return qstrRet;
}

QString FilePaths::getModDir( const QString & qstrModName )
{
	QString qstrRet = getGameDir();
	if( qstrModName.isEmpty() )
		return qstrRet;
	qstrRet.append( "/" );
	qstrRet.append( qstrModName );
	return qstrRet;
}

QString FilePaths::getModIni( const QString & qstrModName )
{
	QString qstrRet = getModDir( qstrModName );
	qstrRet.append( "/" );
	qstrRet.append( INI_MOD );
	return qstrRet;
}

QString FilePaths::getModSettingsIni( const QString & qstrModName )
{
	QString qstrRet = getModDir( qstrModName );
	qstrRet.append( "/" );
	qstrRet.append( INI_MODSETTINGS );
	return qstrRet;
}

QString FilePaths::getModPixmap( const QString & qstrModName, const QString & qstrPixmap )
{
	QString qstrRet = getModDir( qstrModName );
	qstrRet.append( "/" );
	qstrRet.append( qstrPixmap );
	return qstrRet;
}

QString FilePaths::getFlagsLch()
{
	QString qstrRet = getTempDir();
	qstrRet.append( "/" );
	qstrRet.append( LCH_FLAGS );
	return qstrRet;
}
