#ifndef FILEPATHS_H
#define FILEPATHS_H

#include <QtCore>

#include "Singleton.h"

#define FILEPATHS ( FilePaths::getSingleton() )

#define INI_LAUNCHER	"launcher6.ini"
#define INI_MOD			"mod.ini"
#define INI_MODSETTINGS	"settings.ini"
#define CFG_CMDLINE		"cmdline_fso.cfg"
#define LCH_FLAGS		"flags.lch"

class FilePaths : public Singleton < FilePaths >
{
private:
	QString m_qstrGameDir;

public:
	bool initialize( const QString& );

	QString getConfigDir();
	QString getGameDir();
	QString getTempDir();

	QString getConfigDataDir();
	QString getGameDataDir();
	QString getConfigLauncherIni();
	QString getGameLauncherIni();
	QString getConfigCmdLine();
	QString getGameCmdLine();

	QString getModDir( const QString& );
	QString getModIni( const QString& );
	QString getModSettingsIni( const QString& );
	QString getModPixmap( const QString&, const QString& );

	QString getFlagsLch();
	QString getRegistry();
};

#endif
