#include "GameInfo.h"
#include "System.h"


QString GameInfo::getLauncherVersion()
{
	return "(YAL 0.3 RC2)";
}

QString GameInfo::getWindowTitle()
{
#ifdef BTRL
	return "Beyond The Red Line";
#else
#ifdef TBP
	return "The Babylon Project";
#else
#ifdef WCSAGA
	return "Wing Commander Saga";
#else /* FS2_OPEN */
	return "FreeSpace2 Open";
#endif /* WCSAGA */
#endif /* TBP */
#endif /* BTRL */
}

QString GameInfo::getGamePixmap()
{
#ifdef BTRL
	return ":title_btrl.bmp";
#else
#ifdef TBP
	return ":title_tbp.bmp";
#else
#ifdef WCSAGA
	return ":title_wcsaga.bmp";
#else
	System::randomize();
	int nTitleNumber = System::random(1, 3);

	switch( nTitleNumber )
	{
		case 1:
			return ":title_fs2_1.bmp";
		case 2:
			return ":title_fs2_2.bmp";
		case 3:
			return ":title_fs2_3.bmp";
		default:
			return "";
	}
#endif /* WCSAGA */
#endif /* TBP */
#endif /* BTRL */
}

QString GameInfo::getWelcomeText()
{
#ifdef BTRL
	return "Welcome to Beyond The Red Line";
#else
#ifdef TBP
	return "Welcome to The Babylon Project";
#else
#ifdef WCSAGA
	return "Welcome to Wing Commander Saga";
#else /* FS2_OPEN */
	return "Welcome to FreeSpace2 Open";
#endif /* WCSAGA */
#endif /* TBP */
#endif /* BTRL */
}

QString GameInfo::getReadme()
{
#ifdef BTRL
	return "http://www.game-warden.com/bsg/about.html";
#else
#ifdef TBP
	return "http://babylon.hard-light.net/r3_readme.php";
#else
#ifdef WCSAGA
	return "http://www.wcsaga.com/";
#else /* FS2_OPEN */
	return "http://www.hard-light.net/wiki/index.php/Main_Page";
#endif /* WCSAGA */
#endif /* TBP */
#endif /* BTRL */
}

QString GameInfo::getForums()
{
#ifdef BTRL
	return "http://www.game-warden.com/forum/forumdisplay.php?f=36";
#else
#ifdef TBP
	return "http://www.hard-light.net/forums/index.php/board,105.0.html";
#else
#ifdef WCSAGA
	return "http://www.hard-light.net/forums/index.php/board,46.0.html";
#else /* FS2_OPEN */
	return "http://www.hard-light.net/forums/index.php/board,50.0.html";
#endif /* WCSAGA */
#endif /* TBP */
#endif /* BTRL */
}

QString GameInfo::getReportBug()
{
#ifdef BTRL
	return "http://scp.indiegames.us/mantis/main_page.php";
#else
#ifdef TBP
	return "http://scp.indiegames.us/mantis/main_page.php";
#else
#ifdef WCSAGA
	return "http://scp.indiegames.us/mantis/main_page.php";
#else /* FS2_OPEN */
	return "http://scp.indiegames.us/mantis/main_page.php";
#endif /* WCSAGA */
#endif /* TBP */
#endif /* BTRL */
}

QString GameInfo::getRegisterOnline()
{
	return "http://www.hard-light.net/forums/index.php/topic,63609.0.html";
}
