#ifndef INIPARSER_H
#define INIPARSER_H

#include <QtCore>

enum EIniFormat
{
	eifLauncher = 0,
	eifFreeSpace,

	eifTotal
};

struct CIniEntry
{
	QString m_qstrKey;
	QString m_qstrVal;
	bool m_bDumpable;
};

typedef QList< CIniEntry > QIniEntryList;
bool operator<( const CIniEntry & ie1, const CIniEntry & ie2 );

class IniParser
{
private:
	QIniEntryList m_qlList;

public:
	bool loadIni( const QString& );
	bool dumpIni( const QString&, EIniFormat = eifLauncher ) const;

	bool setEntry( const QString&, const QString& );
	bool delEntry( const QString& );
	QString getEntry( const QString& ) const;
	const QIniEntryList & getEntries() const;

	void setDumpable( bool );
	bool setDumpable( const QString&, bool );
};

#endif
