#ifndef SYSTEM_H
#define SYSTEM_H

#include <QtCore>

#define NOSOUND		"no sound"
#define NOJOYSTICK	"No Joystick"


class System
{
public:
	/* misc */
	static bool run( const QString&, const QStringList& = QStringList(), bool = false );
	static bool runBrowser( const QString& );
	static int mSleep( int );
	static QSize getSize();
	static bool mkDir( const QString& );
	static QString chDir( const QString& );
	static void randomize();
	static int random( int, int );
	static void warning( const QString&, QWidget * parent = 0 );

	/* graphics */
	static QStringList enumerateResolutions();
	static QList< int > enumerateBPP();

	/* audio */
	static QStringList enumerateAudioDevices();
	static QString getGenericDevice();

	/* input */
	static QStringList enumerateJoystickDevices();
	static void runCalibrateDialog( const int& );

	/* speech */
	static void speechInit();
	static void speechDeinit();
	static bool speechReady();
	static QStringList enumerateVoices();

	static void speechSetVoice( const int& );
	static void speechSetVolume( const int& );
	static void speechPlay( const QString& );
	static void speechStop();
};

#endif
