#include "MyCheckBoxList.h"
#include "MyCheckBox.h"
#include "Settings.h"

MyCheckBoxList::MyCheckBoxList( QWidget * parent ) :
	QStackedWidget( parent )
{
}

void MyCheckBoxList::updateContent()
{
	while( count() > 0 )
	{
		QWidget * qw = widget( 0 );
		removeWidget( qw );
		delete qw;
	}

	for ( int i = 0; i < SETTINGS.getFlagTypes().size(); i++ )
	{
		QScrollArea *qsaArea = new QScrollArea();
		QWidget *qwWidget = new QWidget();
		QVBoxLayout *qvlLayout = new QVBoxLayout();

		for( int j = 0; j < SETTINGS.getFlags().size(); j++ )
		{
			const CFlag & cfFlag = SETTINGS.getFlags().at( j );

			if( cfFlag.m_qstrType == SETTINGS.getFlagTypes().at( i ) )
			{
				MyCheckBox *myCheckBox = new MyCheckBox( cfFlag.m_qstrFlag, cfFlag.m_qstrDesc );
				if( cfFlag.m_bState )
					myCheckBox -> setChecked( true );

				connect( myCheckBox, SIGNAL( myStateChanged( const QString&, bool ) ), parentWidget(), SLOT( setFlag( const QString&, bool ) ) );
				qvlLayout -> addWidget( myCheckBox );
			}
		}

		qvlLayout -> setContentsMargins( 0, 0, 0, 0 );
		qvlLayout -> setSpacing( 0 );

		//QFont qfSmallerFont;
		//qfSmallerFont.setPointSize( 8 );
		//qwWidget -> setFont( qfSmallerFont );
		qwWidget -> setLayout( qvlLayout );

		qsaArea -> setBackgroundRole( QPalette::Light );
		qsaArea -> setWidget( qwWidget );

		addWidget( qsaArea );
	}

	//setCurrentIndex( 0 );
}
