#include "MyDialogSelectMod.h"
#include "FilePaths.h"

MyDialogSelectMod::MyDialogSelectMod( QWidget *parent ) :
	QDialog( parent )
{
	setWindowTitle( "Select MOD" );

	QVBoxLayout * qvlMainLayout = new QVBoxLayout();

	m_qstrlMods = QDir( FILEPATHS.getGameDir() ).entryList( QDir::AllDirs, QDir::Name );
	m_qstrlMods.removeAll( "." );
	m_qstrlMods.removeAll( ".." );
	m_qstrlMods.removeAll( "data" );

	if ( m_qstrlMods.isEmpty() )
	{
		QLabel * qlNoMods = new QLabel( "You don't have any mods." );
		qvlMainLayout -> addWidget( qlNoMods );

		QPushButton * qpbOk = new QPushButton( "OK" );
		qvlMainLayout -> addWidget( qpbOk );

		connect( qpbOk, SIGNAL( clicked() ), this, SLOT( reject() ) );

		setLayout( qvlMainLayout );
		return;
	}

	m_qlvView = new QListView();
	QStringListModel * qslmModel = new QStringListModel();

	qslmModel -> setStringList( m_qstrlMods );
	m_qlvView -> setEditTriggers( QAbstractItemView::NoEditTriggers );
	m_qlvView -> setModel( qslmModel );
	qvlMainLayout -> addWidget( m_qlvView );

	QHBoxLayout * qhlLowerLayout = new QHBoxLayout();

	connect( m_qlvView, SIGNAL( activated( const QModelIndex& ) ), this, SLOT( accept() ) );
	//connect( m_qlvView, SIGNAL( doubleClicked( const QModelIndex& ) ), this, SLOT( accept() ) );

	QPushButton * qpbSelect = new QPushButton( "Select" );
	QPushButton * qpbCancel = new QPushButton( "Cancel" );

	connect( qpbSelect, SIGNAL( clicked() ), this, SLOT( accept() ) );
	connect( qpbCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

	qhlLowerLayout -> addWidget( qpbSelect );
	qhlLowerLayout -> addWidget( qpbCancel );

	qvlMainLayout -> addLayout( qhlLowerLayout );
	setLayout( qvlMainLayout );
}

QString MyDialogSelectMod::select()
{
	if ( exec() == QDialog::Rejected )
		return QString();
	return m_qlvView -> currentIndex().data().toString();
}
