#include "Registry.h"
#include "IniParser.h"
#include "FilePaths.h"

bool Registry::readRegistry()
{
	m_qlRegistrySaved.clear();

	IniParser ipReg;

	if( ! ipReg.loadIni( FILEPATHS.getRegistry() ) )
	{
		qWarning( "Can't load fs2_open.ini." );
		return false;
	}

	const QIniEntryList & qlIni = ipReg.getEntries();

	for( int i = 0; i < qlIni.size(); ++i )
	{
		const CIniEntry & ie = qlIni.at( i );

		CRegEntry re;
		re.m_eretType = eretString;
		re.m_qstrKey = ie.m_qstrKey;
		re.m_qstrVal = ie.m_qstrVal;

		m_qlRegistrySaved.append( re );
	}

	// no need to sort here, IniParser did that for us

	return true;
}

bool Registry::saveRegistry()
{
	IniParser ipReg;

	for( int i = 0; i < m_qlRegistry.size(); ++i )
	{
		const CRegEntry & re = m_qlRegistry.at( i );

		ipReg.setEntry( re.m_qstrKey, re.m_qstrVal );
	}

	if( ! ipReg.dumpIni( FILEPATHS.getRegistry(), eifFreeSpace ) )
	{
		qWarning( "CRITICAL: saving fs2_open.ini failed." );
		return false;
	}

	return true;
}
